%global ver_date 2014-11-08

%define languageenglazy Arabic
%define languagecode    ar
%define lc_ctype        ar_TN

%define upstream_version 20101230

Name:           hunspell-%{languagecode}
Version:        3.5
Release:        %mkrel 4
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2 or LGPLv2 or MPLv1.1
Group:          System/Internationalization
URL:            https://ayaspell.sourceforge.net/
Source0:        https://downloads.sourceforge.net/ayaspell/%{name}_%{version}.%{ver_date}.zip

BuildArch:      noarch

Recommends:     hunspell

Requires:       locales-ar
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-ar_AE = %{version}-%{release}
Provides:       hunspell-ar_BH = %{version}-%{release}
Provides:       hunspell-ar_DJ = %{version}-%{release}
Provides:       hunspell-ar_DZ = %{version}-%{release}
Provides:       hunspell-ar_EG = %{version}-%{release}
Provides:       hunspell-ar_ER = %{version}-%{release}
Provides:       hunspell-ar_IL = %{version}-%{release}
Provides:       hunspell-ar_IN = %{version}-%{release}
Provides:       hunspell-ar_IQ = %{version}-%{release}
Provides:       hunspell-ar_JO = %{version}-%{release}
Provides:       hunspell-ar_KM = %{version}-%{release}
Provides:       hunspell-ar_KW = %{version}-%{release}
Provides:       hunspell-ar_LB = %{version}-%{release}
Provides:       hunspell-ar_LY = %{version}-%{release}
Provides:       hunspell-ar_MA = %{version}-%{release}
Provides:       hunspell-ar_MR = %{version}-%{release}
Provides:       hunspell-ar_OM = %{version}-%{release}
Provides:       hunspell-ar_PS = %{version}-%{release}
Provides:       hunspell-ar_QA = %{version}-%{release}
Provides:       hunspell-ar_SA = %{version}-%{release}
Provides:       hunspell-ar_SD = %{version}-%{release}
Provides:       hunspell-ar_SO = %{version}-%{release}
Provides:       hunspell-ar_SY = %{version}-%{release}
Provides:       hunspell-ar_TD = %{version}-%{release}
Provides:       hunspell-ar_YE = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-ar_AE = 2
Provides:       dictionary-ar_BH = 2
Provides:       dictionary-ar_DJ = 2
Provides:       dictionary-ar_DZ = 2
Provides:       dictionary-ar_EG = 2
Provides:       dictionary-ar_ER = 2
Provides:       dictionary-ar_IL = 2
Provides:       dictionary-ar_IN = 2
Provides:       dictionary-ar_IQ = 2
Provides:       dictionary-ar_JO = 2
Provides:       dictionary-ar_KM = 2
Provides:       dictionary-ar_KW = 2
Provides:       dictionary-ar_LB = 2
Provides:       dictionary-ar_LY = 2
Provides:       dictionary-ar_MA = 2
Provides:       dictionary-ar_MR = 2
Provides:       dictionary-ar_OM = 2
Provides:       dictionary-ar_PS = 2
Provides:       dictionary-ar_QA = 2
Provides:       dictionary-ar_SA = 2
Provides:       dictionary-ar_SD = 2
Provides:       dictionary-ar_SD = 2
Provides:       dictionary-ar_SO = 2
Provides:       dictionary-ar_SY = 2
Provides:       dictionary-ar_TD = 2
Provides:       dictionary-ar_YE = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-ar_AR < 1.0.3
Provides:       myspell-ar_AR

AutoReqProv:    no

%description
%{languageenglazy} (Egypt, Algeria, etc.) hunspell dictionaries


%prep
%setup -qc 

%build

%install
install -D -m 0644 -p %{languagecode}.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p %{languagecode}.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc AUTHORS ChangeLog-ar COPYING README-ar THANKS
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 3.5-4.mga10
+ Revision: 2205656
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 3.5-3.mga9
+ Revision: 1812039
- Mageia 9 Mass Rebuild

* Mon Feb 17 2020 umeabot <umeabot> 3.5-2.mga8
+ Revision: 1537766
- Mageia 8 Mass Rebuild

* Sat Nov 09 2019 zezinho <zezinho> 3.5-1.mga8
+ Revision: 1458910
- update to upstream latest released version

* Thu Sep 20 2018 umeabot <umeabot> 0.20101230.1-2.mga7
+ Revision: 1278677
- Mageia 7 Mass Rebuild

* Fri Mar 30 2018 kekepower <kekepower> 0.20101230.1-1.mga7
+ Revision: 1213586
- Fixed build directory
- Update to 20101230

* Fri Feb 05 2016 umeabot <umeabot> 0.20080110.1-16.mga6
+ Revision: 937617
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.20080110.1-15.mga6
+ Revision: 937164
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20080110.1-14.mga5
+ Revision: 744960
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20080110.1-13.mga5
+ Revision: 680210
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.20080110.1-12.mga4
+ Revision: 505556
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20080110.1-11.mga3
+ Revision: 353379
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.20080110.1-10.mga3
+ Revision: 325142
- stop producing language aliases

* Tue Mar 20 2012 kamil <kamil> 0.20080110.1-9.mga2
+ Revision: 224555
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 0.20080110.1-8.mga2
+ Revision: 207630
- use better obsoleting of myspell

* Sun Jan 15 2012 kamil <kamil> 0.20080110.1-7.mga2
+ Revision: 196583
- drop requirement on locales
- hunspell is now suggested

* Mon Jan 09 2012 kamil <kamil> 0.20080110.1-6.mga2
+ Revision: 194093
- adapt the file to the current policy
  o use languageenglazy, languagecode, lc_ctype defines
  o add requirements on locales-%%{languagecode}
  o add providing of
  x enchant-dictionary
  x hunspell-dictionary
  x hunspell-%%{lc_ctype} and variants
  x dictionary-%%{languagecode}
  x dictionary-%%{lc_ctype} and variants
  o install files into %%{_datadir}/hunspell/*
  o add backward compatibility for myspell
  o obsolete myspell-ar
- clean spec

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20080110.1-5.mga1
+ Revision: 68643
- imported package hunspell-ar


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20080110-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20080110-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed May 06 2009 Caolan McNamara <caolanm@redhat.com> - 0.20080110-3
- extend aliases

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20080110-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Apr 28 2008 Caolan McNamara <caolanm@redhat.com> - 0.20080110-1
- use the much lighter ayaspell data instead of Buckwalter

* Wed Jun 06 2007 Caolan McNamara <caolanm@redhat.com> - 0.20060208-1
- initial version
